aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/dist.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xaux/workflow/dist.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/aux/workflow/dist.sh b/aux/workflow/dist.sh
new file mode 100755
index 0000000..afe2c92
--- /dev/null
+++ b/aux/workflow/dist.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -eu
+
+DATE="$1"
+VERSION="$2"
+VVERSION="v$2"
+PROJECT="$3"
+
+if git show "$VVERSION" 1>/dev/null 2>/dev/null; then
+ echo "Version '$VVERSION' already exists." >&2
+ exit 1
+fi
+
+if [ "$DATE" != "$(git log -1 --format=%cd --date=short HEAD)" ]; then
+ echo "Date '$DATE' is not up-to-date." >&2
+ exit 1
+fi
+
+sh aux/workflow/assert-changelog.sh "$DATE" "$VERSION" "$PROJECT"
+
+git tag "$VVERSION"
+
+sh aux/workflow/sign-tarballs.sh "$PROJECT"